Package org.bukkit.material

# Class Sandstone

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Sandstone

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class Sandstone extends MaterialData
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents the different types of sandstone.

## Constructor Summary

Constructors
Constructor
Description
`Sandstone()`
Deprecated.
`Sandstone(Material type)`
Deprecated.
`Sandstone(Material type, byte data)`
Deprecated.
Magic value
`Sandstone(SandstoneType type)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Sandstone`
`clone()`
Deprecated.
`SandstoneType`
`getType()`
Deprecated.
Gets the current type of this sandstone
`void`
`setType(SandstoneType type)`
Deprecated.
Sets the type of this sandstone
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Sandstone

public Sandstone()
Deprecated.

### Sandstone

public Sandstone(SandstoneType type)
Deprecated.

### Sandstone

public Sandstone(Material type)
Deprecated.

### Sandstone

@Deprecated public Sandstone(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getType

public SandstoneType getType()
Deprecated.
Gets the current type of this sandstone

Returns:
  SandstoneType of this sandstone

### setType

public void setType(SandstoneType type)
Deprecated.
Sets the type of this sandstone

Parameters:
  `type` - New type of this sandstone

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Sandstone clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`